Bug 226180 - games/bloboats: fails to build on 12.0 after 1200056
Summary: games/bloboats: fails to build on 12.0 after 1200056
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks: 224669
  Show dependency treegraph
 
Reported: 2018-02-24 18:59 UTC by Emanuel Haupt
Modified: 2018-11-01 18:54 UTC (History)
2 users (show)

See Also:


Attachments
Build failure with clang 6.0.0 on 12.0 (35.81 KB, text/plain)
2018-02-24 18:59 UTC, Emanuel Haupt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt freebsd_committer 2018-02-24 18:59:35 UTC
Created attachment 190966 [details]
Build failure with clang 6.0.0 on 12.0

games/bloboats fails to build on 12.0 with clang 6.0.0
Comment 1 commit-hook freebsd_committer 2018-08-05 19:32:40 UTC
A commit references this bug:

Author: gerald
Date: Sun Aug  5 19:32:13 UTC 2018
New revision: 476470
URL: https://svnweb.freebsd.org/changeset/ports/476470

Log:
  Reference PR 226180 to track the failure of this port to build with
  FreeBSD 12 or later.

  PR:		226180

Changes:
  head/games/bloboats/Makefile
Comment 2 Gerald Pfeifer freebsd_committer 2018-08-05 19:39:36 UTC
Emanuel, I believer there was a misunderstanding earlier this year, for
which I'm sorry.  I won't be able to fix this port for the newer version
of clang that broke it.

Looking at the log, a few suggestions, though:

 - Where it complains about assigning false to a FILE *, using NULL
   might work.  (Same binary representation, different type).

 - src/menu.cpp:1571:11: error: comparison between pointer and integer ('SDL_Rect **' and 'int')
        if(modes != '\0') {
           ~~~~~ ^  ~~~~

   might be another case of using NULL instead of '\0' (and possibly one
   level of dereference, so *modes)?

Or, in general, request an older version of C++, such as -std=c++03 or -std=c++98?

Hope this helps.
Comment 3 Jan Beich freebsd_committer 2018-08-05 20:40:00 UTC
After 10.4 and 11.1 reach EOL FreeBSD won't support Clang < 6 in base. I guess, portmgr@ will set EXPIRATION_DATE sometime after 2018-10-31 if this port remains BROKEN.
Comment 4 commit-hook freebsd_committer 2018-10-15 09:26:10 UTC
A commit references this bug:

Author: ehaupt
Date: Mon Oct 15 09:25:22 UTC 2018
New revision: 482143
URL: https://svnweb.freebsd.org/changeset/ports/482143

Log:
  - Mark broken on 11.x [1]
  - Mark deprecated and set an expiration time of one month, upstream is gone [2]
  - Remove WWW (website no longer available) [2]
  - Drop maintainership

  PR:		226180 (related)
  Reported by:    pkg-fallout [1], repology [2]
  MFH:		2018Q4 (blanket)

Changes:
  head/games/bloboats/Makefile
  head/games/bloboats/pkg-descr
Comment 5 commit-hook freebsd_committer 2018-10-15 09:28:14 UTC
A commit references this bug:

Author: ehaupt
Date: Mon Oct 15 09:27:26 UTC 2018
New revision: 482144
URL: https://svnweb.freebsd.org/changeset/ports/482144

Log:
  MFH: r482143

  - Mark broken on 11.x [1]
  - Mark deprecated and set an expiration time of one month, upstream is gone [2]
  - Remove WWW (website no longer available) [2]
  - Drop maintainership

  PR:		226180 (related)
  Reported by:    pkg-fallout [1], repology [2]
  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/games/bloboats/Makefile
  branches/2018Q4/games/bloboats/pkg-descr
Comment 6 Emanuel Haupt freebsd_committer 2018-10-16 15:12:11 UTC
port is now pending for removal.
Comment 7 Rene Ladan freebsd_committer 2018-11-01 18:54:13 UTC
Expired port removed.